Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for SAP BAPI API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.sapbapiadapter.sapbapi
Class BapiServer.SbynServer

    java.lang.Object
      com.sap.mw.jco.JCO.Connection
          com.sap.mw.jco.JCO.Server
              com.stc.connector.sapbapiadapter.sapbapi.SAPServer
                  com.stc.connector.sapbapiadapter.sapbapi.BapiServer.SbynServer

All Implemented Interfaces:
  com.sap.mw.jco.JCO.ServerErrorListener, com.sap.mw.jco.JCO.ServerExceptionListener, com.sap.mw.jco.JCO.ServerStateChangedListener, java.lang.Cloneable, java.lang.Runnable

Enclosing class:
  BapiServer

    public class BapiServer.SbynServer

extends SAPServer

Class to provide server capability for BAPI OTD's.

Field Summary
`protected java.lang.String` | `calledBapiName` Name of BAPI/RFC RFM that was just called.

Fields inherited from class com.stc.connector.sapbapiadapter.sapbapi.SAPServer
`cs, tidManager, tRFCCallInProgress`

Fields inherited from class com.sap.mw.jco.JCO.Server
`AUTHORIZATION_MODE_BASIC, AUTHORIZATION_MODE_SNC, FUNCTION_MODEL, m_middleware, REQUEST_RESPONSE_MODEL`

Fields inherited from class com.sap.mw.jco.JCO.Connection
`attributes, codepage_converter, conn_object, conn_params, connection_cpc_mode, dsr_monitor, jarm_monitor, last_active_timestamp, num_received_bytes, num_sent_bytes, passport_bytes, pool, properties, rfc_handle, rfm_name, start_time, state, throughput, time_handle_request, time_middleware, time_total`

Constructor Summary
`BapiServer.SbynServer(ConnectorServer cs, java.util.Properties properties, com.sap.mw.jco.IRepository repository, com.stc.connector.management.util.ObjectReference mbean)` Constructs a RFC Server for the SeeBeyond BAPI connector.

Method Summary
`java.lang.String` | `getCalledBapiName()` Retrieves the name of the BAPI RFC Module that is being called by R/3 client.
`protected void` | `handleRequest(com.sap.mw.jco.JCO.Function function)` Override the standard `handleRequest` method in the `JCO.Server` class.
`protected void` | `sendToMdb(com.sap.mw.jco.JCO.Function rfcFunc)` DOCUMENT ME!

Methods inherited from class com.stc.connector.sapbapiadapter.sapbapi.SAPServer
`checkInTrfcMode, finalize, getID, getStateString, getTID, isTRFCCallInProgress, onCheckTID, onCommit, onConfirmTID, onRollback, serverErrorOccurred, serverExceptionOccurred, serverStateChangeOccurred, setConnServer, setTID, setTIDManager`

Methods inherited from class com.sap.mw.jco.JCO.Server
`abort, beginCall, checkAuthorization, disconnect, dispatchRequest, endCall, getAttributes, getCallModel, getDsrPassport, getFunction, getGWHost, getGWServ, getMiddlewareImplementation, getProgID, getPropertyInfo, getRepository, getServerInterface, getState, getThread, getTrace, handleRequest, isAlive, listen, run, setCallModel, setProperty, setRepository, setState, setThread, setTrace, start, stop, suspend`

Methods inherited from class com.sap.mw.jco.JCO.Connection
`checkProperties, clone, getConnectionHandle, getProperties, getProperty, getThroughput, hideConnection, isValid, setThroughput`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### calledBapiName

    protected java.lang.String calledBapiName

  Name of BAPI/RFC RFM that was just called.

Constructor Detail

### BapiServer.SbynServer

    public BapiServer.SbynServer(ConnectorServer cs,
                                 java.util.Properties properties,
                                 com.sap.mw.jco.IRepository repository,
                                 com.stc.connector.management.util.ObjectReference mbean)

  Constructs a RFC Server for the SeeBeyond BAPI connector.

  Parameters:
    `cs` - ConnectorServer object
    `properties` - SAP Connection properties
    `repository` - Remote Function Module (RFM) repository

Method Detail

### getCalledBapiName

    public java.lang.String getCalledBapiName()

  Retrieves the name of the BAPI RFC Module that is being called by R/3 client.

  Returns:
    the name of the called BAPI.

### handleRequest

    protected void handleRequest(com.sap.mw.jco.JCO.Function function)
                          throws java.lang.Exception

  Override the standard `handleRequest` method in the `JCO.Server` class.

  Overrides:
    `handleRequest` in class `com.sap.mw.jco.JCO.Server`
  Parameters:
    `function` - RFC Function module that's called by SAP
  Throws:
    `java.lang.Exception`

### sendToMdb

    protected void sendToMdb(com.sap.mw.jco.JCO.Function rfcFunc)
                      throws java.lang.Exception

  DOCUMENT ME!

  Parameters:
    `rfcFunc` - DOCUMENT ME!
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for SAP BAPI API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD